#include "BuddyChange.h"
#include <qlineedit.h>
#include <qpushbutton.h>

BuddyChange::BuddyChange (QWidget * parent, const char * name, WFlags fl) : BuddyChangeBase (parent, name, fl) {
  connect (pushButtonOk, SIGNAL(clicked()), this, SLOT(okPressed()));
  connect (pushButtonCancel, SIGNAL(clicked()), this, SLOT(hide()));
  connect (this, SIGNAL(dataChanged(int, const char *, const char *, const char *)), this, SLOT(hide()));
}

BuddyChange::~BuddyChange() {
}

void BuddyChange::execute(int index, const char * name, const char * ID, const char * phoneNum) {
  lineEditName->setText (name);
  lineEditID->setText(ID);
  lineEditPhoneNum->setText(phoneNum);
  this->ID = index;

  this->show();
}

void BuddyChange::okPressed()  {
  emit dataChanged (ID, lineEditName->text(), lineEditID->text(), lineEditPhoneNum->text());
}

