#ifndef GETMOOD_H
#define GETMOOD_H 

#ifndef __cplusplus
#error "This is a C++ header file; it requires C++ to compile."
#endif

#include <qdialog.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlayout.h>

class GetMood : public QDialog {
  Q_OBJECT

public:
  GetMood (QWidget * parent = 0, const char * name = 0, WFlags fl = 0);
  ~GetMood ();

private:
  QLabel * nameLabel;
  QComboBox * choiceBox;
  QPushButton * okButton;
  QLayout * layout;
//  ZScrollView * pContent;

signals:
  void choice(int);

private slots:
  void okClicked(); 
};
#endif
// GETMOOD_H
